VERSION 5.00
Begin VB.Form frmLevy_Payment 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Levy Fees Payment"
   ClientHeight    =   2115
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4590
   HelpContextID   =   900
   Icon            =   "Levy Fee Payment.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2115
   ScaleWidth      =   4590
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox txtStudentID 
      Height          =   285
      Left            =   1560
      MaxLength       =   8
      TabIndex        =   0
      Top             =   120
      Width           =   2775
   End
   Begin VB.TextBox txtReceiptNumber 
      Height          =   285
      Left            =   1560
      MaxLength       =   15
      TabIndex        =   1
      Top             =   540
      Width           =   2775
   End
   Begin VB.TextBox txtDollars 
      Alignment       =   1  'Right Justify
      Height          =   285
      Left            =   1800
      MaxLength       =   7
      TabIndex        =   2
      Top             =   960
      Width           =   1875
   End
   Begin VB.TextBox txtCents 
      Height          =   285
      Left            =   3660
      MaxLength       =   2
      TabIndex        =   3
      Top             =   960
      Width           =   675
   End
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1680
      TabIndex        =   5
      Top             =   1500
      Width           =   1215
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3120
      TabIndex        =   6
      Top             =   1500
      Width           =   1215
   End
   Begin VB.CommandButton cmdCredit 
      Caption         =   "Credit"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   4
      Top             =   1500
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Student ID"
      Height          =   195
      Left            =   240
      TabIndex        =   10
      Top             =   180
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "Receipt Number"
      Height          =   195
      Left            =   240
      TabIndex        =   9
      Top             =   600
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "Amount"
      Height          =   195
      Left            =   240
      TabIndex        =   8
      Top             =   1020
      Width           =   1335
   End
   Begin VB.Label Label4 
      Caption         =   "$"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1620
      TabIndex        =   7
      Top             =   1020
      Width           =   135
   End
End
Attribute VB_Name = "frmLevy_Payment"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Record payments by making entries in the Levy Account Credits table

Option Explicit

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub cmdCredit_Click()
    Dim curAmount As Currency
    Dim strMsg As String
    Dim lngResponse As Long
    
    'Remove leading and trailing spaces
    txtStudentID.Text = Trim(txtStudentID.Text)
    txtReceiptNumber.Text = Trim(txtReceiptNumber.Text)
    
    If txtStudentID.Text = "" Then
        MsgBox "Please enter the Student ID.", vbExclamation, "Credit Account"
        txtStudentID.SetFocus
    ElseIf txtReceiptNumber.Text = "" Then
        MsgBox "Please enter the Receipt Number.", vbExclamation, "Credit Account"
        txtReceiptNumber.SetFocus
    ElseIf txtDollars.Text = "" Then
        MsgBox "Please enter the 'dollars' part of the Amount.", vbExclamation, "Credit Account"
        txtDollars.SetFocus
    Else
        'Verify that student id is in use and confirm credit
        rstStudents.Index = "Student ID index"
        rstStudents.Seek "=", txtStudentID.Text
        
        'Check that if receipt number exists in log
        rstLevyCredits.Index = "Receipt Number Index"
        rstLevyCredits.Seek "=", txtReceiptNumber.Text
        
        If rstStudents.NoMatch Then
            strMsg = "The Student ID entered has not been registered with the system."
            MsgBox strMsg, vbExclamation, "Credit Levy Account"
            txtStudentID.SetFocus
        ElseIf Not rstLevyCredits.NoMatch Then
            strMsg = "The receipt number entered has alredy been issued out."
            MsgBox strMsg, vbExclamation, "Credit Levy Account"
            txtReceiptNumber.SetFocus
        Else
            curAmount = Val(txtDollars & "." & txtCents.Text)
            'ensure that amount is valid
            If curAmount = 0 Then
                MsgBox "You cannot specify an amount of $0.00", vbExclamation, "Credit Account"
                txtDollars.SetFocus
            ElseIf curAmount < 0 Then
                MsgBox "You cannot specify a negative amount.", vbExclamation, "Credit Account"
                txtDollars.SetFocus
            Else
                'confirm credit
                strMsg = "Credit the following account with $" & Str(curAmount) & strNewLine _
                       & "Student ID " & Tabs(1) & rstStudents("Student ID") & strNewLine _
                       & "Name " & Tabs(2) & rstStudents("Surname") & " " & rstStudents("First Names") & strNewLine _
                       & "Class" & Tabs(2) & rstStudents("Class")
                lngResponse = MsgBox(strMsg, vbYesNo + vbQuestion, "Credit Account")
                
                'do credit if confirmed
                If lngResponse = vbYes Then
                    rstLevyCredits.AddNew
                        rstLevyCredits("Transaction Date") = Now
                        rstLevyCredits("curAmount") = curAmount
                        rstLevyCredits("Receipt Number") = txtReceiptNumber.Text
                        rstLevyCredits("Student ID") = UCase(txtStudentID.Text)
                    rstLevyCredits.Update
                    
                    'report transaction success
                    MsgBox "Account successfully credited", vbInformation, "Credit Account"
                    'prepare for a new transaction
                    ClearAllTextboxes Me
                    txtStudentID.SetFocus
                End If
            End If
        End If
    End If
                
End Sub


Private Sub cmdHelp_Click()
    ShowHelpTopic 900
End Sub

Private Sub Form_Activate()
    If Not CurrentUser.Allowed_LevyAc_Credit Then
        GiveSecViolationMsg "credit levy accounts"
        Unload Me
    End If
End Sub

Private Sub txtCents_KeyPress(KeyAscii As Integer)
    
    If (KeyAscii < Asc("0") Or KeyAscii > Asc("9")) And KeyAscii <> 8 Then
        'Cancel key stroke
        Beep
        KeyAscii = 0
    End If

End Sub

Private Sub txtDollars_KeyPress(KeyAscii As Integer)

    If (KeyAscii < Asc("0") Or KeyAscii > Asc("9")) And KeyAscii <> 8 Then
        'Cancel key stroke
        Beep
        KeyAscii = 0
    End If

End Sub
