VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmAdminConsole_DBInitialisation 
   Caption         =   "Install Blank Database"
   ClientHeight    =   1455
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6795
   HelpContextID   =   240
   Icon            =   "Admin Console Intialise Database.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   1455
   ScaleWidth      =   6795
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2670
      Style           =   1  'Graphical
      TabIndex        =   3
      ToolTipText     =   "Click here to launch help"
      Top             =   780
      Width           =   1575
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4710
      TabIndex        =   2
      ToolTipText     =   "Click here to exit without creating a database"
      Top             =   780
      Width           =   1575
   End
   Begin VB.CommandButton cmdCreateDatabase 
      Caption         =   "Install Database"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   510
      TabIndex        =   1
      ToolTipText     =   "Click here to create the database"
      Top             =   780
      Width           =   1695
   End
   Begin VB.TextBox txtDBLocation 
      Height          =   315
      Left            =   1920
      Locked          =   -1  'True
      TabIndex        =   0
      ToolTipText     =   "Click here to enter the file name."
      Top             =   210
      Width           =   4575
   End
   Begin MSComDlg.CommonDialog dlgPath 
      Left            =   6240
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin MSComDlg.CommonDialog cdlHelpDialog 
      Left            =   6240
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label Label1 
      Caption         =   "Database Location"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   270
      Width           =   1815
   End
End
Attribute VB_Name = "frmAdminConsole_DBInitialisation"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'********************************************************************************
'*                          Blank Database Installation                         *
'*      Calls the database creation module to create a blank database.          *
'*      Modifies the registry to point to this new database                     *
'********************************************************************************


Option Explicit

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdCreateDatabase_Click()
    Dim strMsg As String
    
    If txtDBLocation.Text = "" Then
        strMsg = "Please enter the database location first"
        MsgBox strMsg, vbExclamation
    Else
        If DatabaseSuccessfullyCreated(txtDBLocation.Text) Then
            'Store the database path in the registry
            SaveSetting regAppName, regSection, regKeyDBPath, txtDBLocation.Text
            MsgBox "Database succesfully created.", vbInformation
            Unload Me
        End If
    End If
    
End Sub

Private Sub cmdHelp_Click()
    ShowHelpTopic 240
End Sub


Private Sub txtDBLocation_Click()
    
    With dlgPath
        .DialogTitle = "Specify the location for the database"
        .Flags = cdlOFNPathMustExist + cdlOFNHideReadOnly + cdlOFNNoReadOnlyReturn
        .Filter = "Databases (*.mdb)|*.mdb"
        .FileName = ""
        .ShowSave
    End With
    
    txtDBLocation.Text = dlgPath.FileName
    
End Sub

